/gorgias-tickets | Type: Application | PCID required: Yes
Tools
gorgias_tickets_create_satisfaction_survey
Create a survey Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body_text | string | No | — | The comment sent by the customer. |
created_datetime | string | No | — | When the survey was created. |
customer_id | integer | Yes | — | The ID of the customer who filled the survey. |
meta | object | No | — | Data associated with the satisfaction survey. You can use this parameter to store structured information (key-value data) about the satisfaction survey. This field is not used by Gorgias. |
score | integer | No | — | The level of satisfaction. Scores range from 1 to 5. |
scored_datetime | string | No | — | When the survey was filled by the customer. |
sent_datetime | string | No | — | When the survey was sent. If is not set it means that it was not sent yet. |
should_send_datetime | string | No | — | When the survey should be sent. If not set then the survey will not be sent by Gorgias. |
ticket_id | integer | Yes | — | The ID of the ticket the survey is associated with. |
gorgias_tickets_create_tag
Create a tag Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
decoration | object | No | — | Information related to the style of the tag. |
description | string | No | — | Short description of the tag. |
name | string | Yes | — | Name of the tag. Tags’ names are case sensitive. |
gorgias_tickets_create_ticket
Create a ticket Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
assignee_team | object | No | — | Team assigned to the ticket |
assignee_user | object | No | — | User assigned to this ticket |
channel | object | No | — | Channel used to initiate the conversation with the customer |
closed_datetime | string | No | — | When the ticket was closed |
created_datetime | string | No | — | When the ticket was created |
custom_fields | object[] | No | — | Custom fields associated with the ticket |
customer | object | No | — | Customer associated with the ticket |
external_id | string | No | — | ID of the ticket in a foreign system. This field is not used by Gorgias, feel free to set it as you wish. |
from_agent | boolean | No | — | Whether the first message of the ticket was sent by your company to a customer, or the opposite |
language | string | No | — | Language primarily used in the ticket. The language is automatically detected on the first messages by Gorgias if not set explicitly. Once the language has been set, it won’t be updated according to future messages. |
last_message_datetime | string | No | — | When the last message was sent |
last_received_message_datetime | string | No | — | When the last customer’s message was received |
messages | object[] | Yes | — | Messages of the ticket |
meta | object | No | — | Metadata associated with the ticketYou can use this field to store structured information (key-value data) about the ticket |
opened_datetime | string | No | — | When the ticket was opened for the first time by a User |
priority | string | No | — | The priority value |
snooze_datetime | string | No | — | When the ticket will be re-opened automatically |
spam | boolean | No | — | Whether the ticket is considered as spam |
status | string | No | — | The status value |
subject | string | No | — | Subject of the ticket |
tags | object[] | No | — | The tags associated with the ticket |
trashed_datetime | string | No | — | When the ticket was moved to the trash |
updated_datetime | string | No | — | When the ticket was lastly updated |
via | string | Yes | — | The via value |
gorgias_tickets_create_ticket_message
Create a message Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ticket_id | integer | Yes | — | The ID of the ticket to create a message in. |
action | string | No | — | Policy applied on external actions associated with the message if they failed. Three actions are possible: - force: bypass the failed action and try to execute the remaining one and to send the message - retry: retry the failed action - cancel: delete the TicketMessage |
actions | any[] | No | — | Actions associated with the message |
attachments | object[] | No | — | Attachments associated with the message |
body_html | string | No | — | HTML version of the body of the message |
body_text | string | No | — | Text version of the body of the message |
channel | object | Yes | — | Channel used to send the message |
created_datetime | string | No | — | When the message was created |
deleted_datetime | string | No | — | When the message was deleted |
external_id | string | No | — | ID of the message in a foreign system (Aircall, Zendesk, etc…). This field is not used by Gorgias, feel free to set it as you wish. |
failed_datetime | string | No | — | When the message failed to be sent. Messages that couldn’t be sent can be resend. |
from_agent | boolean | Yes | — | Whether the message was sent by your company |
headers | object | No | — | Headers of the message |
integration_id | integer | No | — | ID of the Integration used to send the message |
last_sending_error | object | No | — | Details of the last error encountered when Gorgias attempted to send the message |
macros | object[] | No | — | Macros used to compose the message |
mention_ids | integer[] | No | — | List of User IDs to mention along with the internal note. |
message_id | string | No | — | ID of the message on the service that send the message. It can be the ID of an email, a Messenger message, a Facebook comment, etc… |
meta | object | No | — | Metadata associated with the ticket.You can use this field to store structured information (key-value data) about the ticket. |
opened_datetime | string | No | — | When the message was seen by their recipient |
public | boolean | No | — | Whether the message is public. Only internal notes are private. |
receiver | object | No | — | Primary receiver of the message. It can be a user or a customer. Optional when the source type is “internal-note”. |
sender | object | No | — | Person who sent the message. It can be a user or a customer. |
sent_datetime | string | No | — | When the message was sent. If ommited, the message will be sent by Gorgias. |
source | object | No | — | Information used to route the message. It contains the names and the addresses of the sender and receivers. |
stripped_html | string | No | — | HTML version of the body of the message without email signatures and previous replies. |
stripped_signature | string | No | — | signature stripped from the body of the message |
stripped_text | string | No | — | Text version of the body of the message without email signatures and previous replies. |
subject | string | No | — | Subject of the message |
via | string | Yes | — | The via value |
gorgias_tickets_create_ticket_tags
Add ticket tags Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ticket_id | integer | Yes | — | The ID of the ticket. |
ids | integer[] | No | — | The IDs of the tags. |
names | string[] | No | — | The names of the tags. |
gorgias_tickets_delete_tag
Delete a tag Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The ID of the tag to delete. |
gorgias_tickets_delete_tags
Delete tags Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ids | integer[] | Yes | — | IDs of the tags to delete |
gorgias_tickets_delete_ticket
Delete a ticket Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The ID of the ticket to delete. |
gorgias_tickets_delete_ticket_custom_field
Delete ticket field value Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ticket_id | integer | Yes | — | The ID of the ticket. |
id | integer | Yes | — | The ID of the custom field. |
gorgias_tickets_delete_ticket_message
Delete a message Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ticket_id | integer | Yes | — | The ID of the ticket associated with the message. |
id | integer | Yes | — | The ID of the message to delete. |
gorgias_tickets_delete_ticket_tags
Remove ticket tags Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ticket_id | integer | Yes | — | The ID of the ticket. |
ids | integer[] | No | — | The IDs of the tags. |
names | string[] | No | — | The names of the tags. |
gorgias_tickets_delete_voice_call_recording
Delete a voice call recording Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The ID of the voice call recording to delete. |
gorgias_tickets_get_api_tickets_ticket_id_tags
List ticket tags Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ticket_id | integer | Yes | — | The ID of the ticket. |
gorgias_tickets_get_satisfaction_survey
Retrieve a survey Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The ID of the survey to retrieve. |
gorgias_tickets_get_tag
Retrieve a tag Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The ID of the tag to retrieve. |
gorgias_tickets_get_ticket
Retrieve a ticket Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The ID of the ticket to retrieve. |
relationships | string[] | No | — | Names of relations that should be included in returned data. |
gorgias_tickets_get_ticket_message
Retrieve a message Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ticket_id | integer | Yes | — | The ID of the ticket associated with the message. |
id | integer | Yes | — | The ID of the message to retrieve. |
gorgias_tickets_get_voice_call
Retrieve a voice call Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The ID of the voice call to retrieve. |
gorgias_tickets_get_voice_call_event
Retrieve a voice call event Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The ID of the voice event to retrieve. |
gorgias_tickets_get_voice_call_recording
Retrieve a voice call recording Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The ID of the voice call recording to retrieve. |
gorgias_tickets_list_messages
List messages Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | Value indicating your position in the list of all messages. If omitted, the first messages of the list will be returned. |
limit | integer | No | — | Maximum number of messages to return. |
order_by | string | No | — | Attribute used to order messages. |
ticket_id | integer | No | — | The ID of the ticket the messages are associated with. |
gorgias_tickets_list_satisfaction_surveys
List surveys Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | Value indicating your position in the list of all satisfaction surveys. If omitted, the first satisfaction survey of the list will be returned. |
limit | integer | No | — | Maximum number of satisfaction surveys to return. |
order_by | string | No | — | Attribute used to order satisfaction surveys. |
ticket_id | integer | No | — | The ID of the ticket the satisfaction surveys are associated with. |
gorgias_tickets_list_tags
List tags Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
order_by | string | No | — | Order tags by the given attribute.<br>Values <span style=“color:red”>name, created_datetime, name, usage have been deprecated</span>. Use values with :asc or :desc instead. |
search | string | No | — | Search for tags’ names matching the given text query (case insensitive). |
cursor | string | No | — | Value indicating your position in the list of all items. If omitted, the first items of the list will be returned. |
limit | integer | No | — | Maximum number of items to return. |
gorgias_tickets_list_ticket_custom_fields
List ticket field values Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ticket_id | integer | Yes | — | The ID of the ticket. |
gorgias_tickets_list_tickets
List tickets Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
order_by | string | No | — | Attribute used to order tickets. |
cursor | string | No | — | Value indicating your position in the list of all tickets. If omitted, the first tickets of the list will be returned. |
customer_id | integer | No | — | The ID of a customer used to select their tickets. |
trashed | boolean | No | — | Whether to include trashed tickets in the response. |
external_id | string | No | — | ID of the ticket in a foreign system you’re looking for. |
limit | integer | No | — | Maximum number of tickets to return. |
view_id | integer | No | — | The ID of a view used to select tickets matching the filters of this one. |
rule_id | integer | No | — | The ID of a rule used to select tickets matching the filters of this one. |
ticket_ids | integer[] | No | — | The IDs of tickets to select. |
gorgias_tickets_list_voice_call_events
List voice call events Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | Value indicating your position in the list of all items. If omitted, the first items of the list will be returned. |
limit | integer | No | — | Maximum number of items to return. |
call_id | integer | No | — | Call Id |
gorgias_tickets_list_voice_call_recordings
List voice call recordings Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | Value indicating your position in the list of all items. If omitted, the first items of the list will be returned. |
limit | integer | No | — | Maximum number of items to return. |
call_id | integer | No | — | Call Id |
gorgias_tickets_list_voice_calls
List voice calls Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
cursor | string | No | — | Value indicating your position in the list of all items. If omitted, the first items of the list will be returned. |
limit | integer | No | — | Maximum number of items to return. |
ticket_id | integer | No | — | Ticket Id |
gorgias_tickets_merge_tags
Merge tags Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
destination_tag_id | integer | Yes | — | The ID of the tag that will serve as base for the merge. |
source_tags_ids | integer[] | No | — | IDs of the tags that will be merged into the destination tag. |
gorgias_tickets_update_satisfaction_survey
Update a survey Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The ID of the survey to update. |
body_text | string | No | — | The comment sent by the customer. |
created_datetime | string | No | — | When the survey was created. |
customer_id | integer | No | — | The ID of the customer who filled the survey. |
meta | object | No | — | Data associated with the satisfaction survey. You can use this parameter to store structured information (key-value data) about the satisfaction survey. This field is not used by Gorgias. |
score | integer | No | — | The level of satisfaction. Scores range from 1 to 5. |
scored_datetime | string | No | — | When the survey was filled by the customer. |
sent_datetime | string | No | — | When the survey was sent. If is not set it means that it was not sent yet. |
should_send_datetime | string | No | — | When the survey should be sent. If not set then the survey will not be sent by Gorgias. |
ticket_id | integer | No | — | The ID of the ticket the survey is associated with. |
gorgias_tickets_update_tag
Update a tag Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The ID of the tag to update. |
decoration | object | No | — | Information related to the style of the tag. |
description | string | No | — | Short description of the tag. |
name | string | No | — | Name of the tag. Tags’ names are case sensitive. |
gorgias_tickets_update_ticket
Update a ticket Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | integer | Yes | — | The ID of the ticket to update. |
assignee_team | object | No | — | The team to assign to the ticket |
assignee_user | object | No | — | The user to assign to the ticket |
channel | object | No | — | Channel used to initiate the conversation with the customer |
closed_datetime | string | No | — | When the ticket was closed |
custom_fields | object[] | No | — | Custom fields associated with the ticket |
customer | object | No | — | The customer value |
external_id | string | No | — | ID of the ticket in a foreign system. This field is not used by Gorgias, feel free to set it as you wish. |
from_agent | boolean | No | — | Whether the first message of the ticket was sent by your company to a customer, or the opposite |
is_unread | boolean | No | — | Mark the ticket as read/unread |
language | string | No | — | Language primarily used in the ticket |
last_message_datetime | string | No | — | When the last message was sent |
last_received_message_datetime | string | No | — | When the last customer’s message was received |
meta | object | No | — | Metadata associated with the ticketYou can use this field to store structured information (key-value data) about the ticket |
opened_datetime | string | No | — | Priority of the ticket |
priority | string | No | — | The priority value |
snooze_datetime | string | No | — | When the ticket will be re-opened automatically |
spam | boolean | No | — | Whether the ticket is considered as spam |
status | string | No | — | The status value |
subject | string | No | — | Subject of the ticket |
tags | object[] | No | — | Tags of the ticket |
trashed_datetime | string | No | — | A datetime will move the ticket to the trash, null will move the ticket out of the trash |
updated_datetime | string | No | — | When the ticket was lastly updated |
via | string | No | — | The via value |
gorgias_tickets_update_ticket_custom_field
Update ticket field value Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ticket_id | integer | Yes | — | The ID of the ticket. |
id | integer | Yes | — | The ID of the custom field. |
body | object | Yes | — | Request body |
gorgias_tickets_update_ticket_custom_fields
Update ticket fields values Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ticket_id | integer | Yes | — | The ID of the ticket. |
body | object[] | Yes | — | Request body |
gorgias_tickets_update_ticket_message
Update a message Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ticket_id | integer | Yes | — | The ID of the ticket associated with the message. |
id | integer | Yes | — | The ID of the message to update. |
action | string | No | — | Policy applied on external actions associated with the message if they failed. Three actions are possible: - force: bypass the failed action and try to execute the remaining one and to send the message - retry: retry the failed action - cancel: delete the TicketMessage |
attachments | object[] | No | — | A list of files attached to the message. |
body_html | string | No | — | The full HTML version of the body of the message, if any. |
body_text | string | No | — | The full text version of the body of the message, if any. |
channel | string | No | — | The channel used to send the message. |
external_id | string | No | — | ID of the message in a foreign system (Aircall, Zendesk, etc…). This field is not used by Gorgias, feel free to set it as you wish. |
failed_datetime | string | No | — | When the message failed to be sent. Messages that couldn’t be sent can be resend. |
from_agent | boolean | No | — | Whether the message was sent by your company to a customer, or the opposite. |
message_id | string | No | — | ID of the message on the service that send the message.It can be the ID of an email, a Messenger message, a Facebook comment, etc… |
receiver | object | No | — | The primary receiver of the message. It can be a user or a customer. Optional when the source type is “internal-note”. |
sender | object | No | — | The person who sent the message. It can be a user or a customer. |
sent_datetime | string | No | — | When the message was sent. If ommited, the message will be sent by Gorgias. |
source | object | No | — | Information used to route the message. It contains the names and the addresses of the sender and receivers. |
subject | string | No | — | The subject of the message. |
via | string | No | — | How the message has been received, or sent from Gorgias. |
gorgias_tickets_update_ticket_tags
Set ticket tags Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ticket_id | integer | Yes | — | The ID of the ticket. |
ids | integer[] | No | — | The IDs of the tags. |
names | string[] | No | — | The names of the tags. |

